require_relative 'bear_julius.rb'

class Undestroyable < ThingTank::Character
  before_destroy do
    false # never allow to destroy
  end
end

def test_julius_immortal
  julius = test_bear_julius()
  julius.is(Undestroyable)
  julius.save # save the character

  id = julius.id
  julius = db_load id

  julius.as(Undestroyable).destroy
  assert !db_load(id).nil? # => julius is still there

  julius.destroy

  assert !db_load(id).nil? # => julius is still there
end
